
var o_Point = function()
{
 this.m_X = 0;
 this.m_Y = 0;
}

var o_Size = function()
{
 this.m_Width = 0;
 this.m_Height = 0;
}

function f_Navigator_IsInternetExplorer6()
{
 if(window.navigator.userAgent.toUpperCase().indexOf('MSIE 6') < 0)
 {
  return false;
 }
 return true;
}

var o_StringBuilder = function(as_LineBreak)
{
 this.m_Text = '';
 this.m_LineBreak = as_LineBreak;

 this.f_AddLine = function(as_Text)
 {
  this.m_Text += as_Text + this.m_LineBreak;
 }
}

function f_GetElementLocation(as_ID)
{
 var lo_Element;
 var lo_Point;

 lo_Element = document.getElementById(as_ID);
 lo_Point = new o_Point();
 lo_Point.m_X = 0;
 lo_Point.m_Y = 0;

 while(lo_Element)
 {
  if(lo_Element.offsetLeft)
  {
   lo_Point.m_X = lo_Point.m_X + lo_Element.offsetLeft;
  }
  if(lo_Element.offsetTop)
  {
   lo_Point.m_Y = lo_Point.m_Y + lo_Element.offsetTop;
  }
  lo_Element = lo_Element.offsetParent;
 }

 return lo_Point;
}

function f_GetElementSize(as_ID)
{
 var lo_Element;
 var lo_Size;

 lo_Element = document.getElementById(as_ID);
 lo_Size = new o_Size();
 lo_Size.m_Width = lo_Element.offsetWidth;
 lo_Size.m_Height = lo_Element.offsetHeight;

 return lo_Size;
}

function f_GetBodyElement()
{
 var lo_Elements;

 lo_Elements = document.getElementsByTagName('body');

 return lo_Elements[0];
}

var gs_AbsoluteRootElement_ID = 'Script_AbsoluteRootElement';
var go_AbsoluteRootElement = null;

function f_GetAbsoluteRootElement()
{
 var lo_ParentElement;
 var lo_Element;

 if(go_AbsoluteRootElement == null)
 {
  lo_ParentElement = f_GetBodyElement();

  lo_Element = document.createElement('div');
  lo_Element.id = gs_AbsoluteRootElement_ID;
  lo_Element.style.left = '0px';
  lo_Element.style.top = '0px';
  lo_Element.style.width = '1px';
  lo_Element.style.height = '1px';
  lo_Element.style.position = 'absolute';
  lo_Element.style.overflow = 'visible';
  lo_Element.style.zIndex = 100;

  lo_ParentElement.appendChild(lo_Element);

  go_AbsoluteRootElement = lo_Element;
 }

 return go_AbsoluteRootElement;
}

function f_GetScrollPos()
{
 var lo_Pos;

 lo_Pos = new o_Point();

 if(window.pageXOffset != undefined && window.pageYOffset != undefined)
 {
  if(window.pageXOffset > 0 || window.pageYOffset > 0)
  {
   lo_Pos.m_X = window.pageXOffset;
   lo_Pos.m_Y = window.pageYOffset;

   return lo_Pos;
  }
 }

 if(document.documentElement != undefined)
 {
  if(document.documentElement.scrollLeft != undefined && document.documentElement.scrollTop != undefined)
  {
   if(document.documentElement.scrollLeft > 0 || document.documentElement.scrollTop > 0)
   {
    lo_Pos.m_X = document.documentElement.scrollLeft;
    lo_Pos.m_Y = document.documentElement.scrollTop;

    return lo_Pos;
   }
  }
 }

 if(document.body != undefined)
 {
  if(document.body.scrollLeft != undefined && document.body.scrollTop != undefined)
  {
   if(document.body.scrollLeft > 0 || document.body.scrollTop > 0)
   {
    lo_Pos.m_X = document.body.scrollLeft;
    lo_Pos.m_Y = document.body.scrollTop;

    return lo_Pos;
   }
  }
 }

 return lo_Pos;
}

function f_GetClientSize()
{
 var lo_Size;

 lo_Size = new o_Size();

 if(document.documentElement != undefined)
 {
  if(document.documentElement.clientWidth != undefined && document.documentElement.clientHeight != undefined)
  {
   if(document.documentElement.clientWidth > 0 || document.documentElement.clientHeight > 0)
   {
    lo_Size.m_Width = document.documentElement.clientWidth;
    lo_Size.m_Height = document.documentElement.clientHeight;

    return lo_Size;
   }
  }
 }

 if(document.body != undefined)
 {
  if(document.body.clientWidth != undefined && document.body.clientHeight != undefined)
  {
   if(document.body.clientWidth > 0 || document.body.clientHeight > 0)
   {
    lo_Size.m_Width = document.body.clientWidth;
    lo_Size.m_Height = document.body.clientHeight;

    return lo_Size;
   }
  }
 }

 if(window.innerWidth != undefined && window.innerHeight != undefined)
 {
  if(window.innerWidth > 0 || window.innerHeight > 0)
  {
   lo_Size.m_Width = window.innerWidth;
   lo_Size.m_Height = window.innerHeight;

   return lo_Size;
  }
 }

 return lo_Size;
}

function f_SetOpacity(ao_Element , al_Opacity)
{
 ao_Element.style.opacity = al_Opacity / 100;
 ao_Element.style.mozOpacity = al_Opacity / 100;
 ao_Element.style.filter = 'alpha(opacity=' + al_Opacity + ')';
}

function f_InlineFrame_Create(as_ParentID , as_FrameName , al_Width , al_Height , as_HTML)
{
 var lo_Element;
 var lo_HTML;

 lo_Element = document.getElementById(as_ParentID);
 lo_Element.innerHTML = '<iframe id="' + as_FrameName + '" name="' + as_FrameName + '" style="visibility:hidden;" width="' + al_Width + '" height="' + al_Height + '" marginwidth="0" marginheight="0" frameborder="0" scrolling="no"></iframe>';

 lo_HTML = new o_StringBuilder('\r\n');
 lo_HTML.f_AddLine('<?xml version="1.0" encoding="utf-8"?>');
 lo_HTML.f_AddLine('<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">');
 lo_HTML.f_AddLine('<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">');
 lo_HTML.f_AddLine('<head>');
 lo_HTML.f_AddLine('<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />');
 lo_HTML.f_AddLine('<meta http-equiv="Content-Style-Type" content="text/css" />');
 lo_HTML.f_AddLine('<meta http-equiv="Content-Script-Type" content="text/javascript" />');
 lo_HTML.f_AddLine('<style type="text/css">');
 lo_HTML.f_AddLine('');
 lo_HTML.f_AddLine('html');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' margin:0px;');
 lo_HTML.f_AddLine(' padding:0px;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('body');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' margin:0px;');
 lo_HTML.f_AddLine(' padding:0px;');
 lo_HTML.f_AddLine(' color:#000000;');
 lo_HTML.f_AddLine(' font-family:\'ＭＳ Ｐゴシック\',\'MS PGothic\',\'ヒラギノ角ゴ Pro W3\',\'Hiragino Kaku Gothic Pro\',sans-serif');
 lo_HTML.f_AddLine(' font-size:9pt;');
 lo_HTML.f_AddLine(' line-height:110%;');
 lo_HTML.f_AddLine(' font-weight:normal;');
 lo_HTML.f_AddLine(' font-style:normal;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('table,tbody,tr,th,td');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' margin:0px;');
 lo_HTML.f_AddLine(' padding:0px;');
 lo_HTML.f_AddLine(' font-family:\'ＭＳ Ｐゴシック\',\'MS PGothic\',\'ヒラギノ角ゴ Pro W3\',\'Hiragino Kaku Gothic Pro\',sans-serif');
 lo_HTML.f_AddLine(' font-size:9pt;');
 lo_HTML.f_AddLine(' line-height:110%;');
 lo_HTML.f_AddLine(' font-weight:normal;');
 lo_HTML.f_AddLine(' font-style:normal;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('div');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' margin:0px;');
 lo_HTML.f_AddLine(' padding:0px;');
 lo_HTML.f_AddLine(' overflow:hidden;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('span');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' margin:0px;');
 lo_HTML.f_AddLine(' padding:0px;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('a');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' margin:0px;');
 lo_HTML.f_AddLine(' padding:0px;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('img');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' margin:0px;');
 lo_HTML.f_AddLine(' padding:0px;');
 lo_HTML.f_AddLine(' border:0px;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('h1,h2,h3,h4,h5,h6');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' margin:0px;');
 lo_HTML.f_AddLine(' padding:0px;');
 lo_HTML.f_AddLine(' overflow:hidden;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('.font_pg');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' font-family:\'ＭＳ Ｐゴシック\',\'MS PGothic\',\'ヒラギノ角ゴ Pro W3\',\'Hiragino Kaku Gothic Pro\',sans-serif');
 lo_HTML.f_AddLine(' font-size:9pt;');
 lo_HTML.f_AddLine(' line-height:110%;');
 lo_HTML.f_AddLine(' font-weight:normal;');
 lo_HTML.f_AddLine(' font-style:normal;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('.font_pm');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' font-family:\'ＭＳ Ｐ明朝\',\'MS PMincho\',\'ヒラギノ明朝 Pro W3\',\'Hiragino Mincho Pro\',serif');
 lo_HTML.f_AddLine(' font-size:9pt;');
 lo_HTML.f_AddLine(' line-height:110%;');
 lo_HTML.f_AddLine(' font-weight:normal;');
 lo_HTML.f_AddLine(' font-style:normal;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('.font_g');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' font-family:\'ＭＳ ゴシック\',\'MS Gothic\',monospace');
 lo_HTML.f_AddLine(' font-size:9pt;');
 lo_HTML.f_AddLine(' line-height:110%;');
 lo_HTML.f_AddLine(' font-weight:normal;');
 lo_HTML.f_AddLine(' font-style:normal;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('.font_m');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' font-family:\'ＭＳ 明朝\',\'MS Mincho\',serif');
 lo_HTML.f_AddLine(' font-size:9pt;');
 lo_HTML.f_AddLine(' line-height:110%;');
 lo_HTML.f_AddLine(' font-weight:normal;');
 lo_HTML.f_AddLine(' font-style:normal;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('.font_xm');
 lo_HTML.f_AddLine('{');
 lo_HTML.f_AddLine(' font-family:\'メイリオ\',\'Meiryo\',\'ＭＳ Ｐゴシック\',\'MS PGothic\',\'ヒラギノ角ゴ Pro W3\',\'Hiragino Kaku Gothic Pro\',sans-serif');
 lo_HTML.f_AddLine(' font-size:9pt;');
 lo_HTML.f_AddLine(' line-height:110%;');
 lo_HTML.f_AddLine(' font-weight:normal;');
 lo_HTML.f_AddLine(' font-style:normal;');
 lo_HTML.f_AddLine('}');
 lo_HTML.f_AddLine('');
 lo_HTML.f_AddLine('</style>');
 lo_HTML.f_AddLine('</head>');
 lo_HTML.f_AddLine('<body>');
 lo_HTML.f_AddLine(as_HTML);
 lo_HTML.f_AddLine('</body>');
 lo_HTML.f_AddLine('</html>');

 window[as_FrameName].document.open();
 window[as_FrameName].document.write(lo_HTML.m_Text);
 window[as_FrameName].document.close();

 lo_Element = document.getElementById(as_FrameName);
 lo_Element.style.visibility = 'visible';
}

function f_InlineFrame_GetElementById(as_FrameName , as_ID)
{
 return window[as_FrameName].document.getElementById(as_ID);
}

var go_ImageLoader_List = new Array();

function f_ImageLoader_Append(as_URL)
{
 var lo_Image;

 if(go_ImageLoader_List[as_URL] == undefined)
 {
  lo_Image = new Image();
  lo_Image.src = as_URL;
  go_ImageLoader_List[as_URL] = lo_Image;
 }
}

var gl_Animation_StartTime = 0;
var gl_Animation_PreviousCounter = 0;

function f_AnimationController()
{
 var i;
 var ll_Time;
 var ll_Counter;
 var ll_LoopCount;

 if(gl_Animation_StartTime == 0)
 {
  gl_Animation_StartTime = new Date().getTime();
 }

 ll_Time = new Date().getTime();
 ll_Counter = Math.floor((ll_Time - gl_Animation_StartTime) / 16);
 ll_LoopCount = Math.min(5 , ll_Counter - gl_Animation_PreviousCounter);

 gl_Animation_PreviousCounter = ll_Counter;

 for(i=0 ; i<ll_LoopCount ; i++)
 {
  f_OnAnimation();
 }
}

var go_AdjustHeight_List = new Array();

var o_AdjustHeight = function(as_ID_Relative , as_ID_Absolute , al_Margin)
{
 this.m_ID_Relative = as_ID_Relative;
 this.m_ID_Absolute = as_ID_Absolute;
 this.m_Margin = al_Margin;
 this.m_Height = 0;
}

function f_AdjustHeight_Create(as_ID_Relative , as_ID_Absolute , al_Margin)
{
 var lo_AdjustHeight;
 var lo_Element_Relative;
 var lo_Element_Absolute;
 var ll_Height;

 lo_AdjustHeight = new o_AdjustHeight(as_ID_Relative , as_ID_Absolute , al_Margin);
 go_AdjustHeight_List[go_AdjustHeight_List.length] = lo_AdjustHeight;
 lo_Element_Relative = document.getElementById(lo_AdjustHeight.m_ID_Relative);
 lo_Element_Absolute = document.getElementById(lo_AdjustHeight.m_ID_Absolute);
 ll_Height = lo_Element_Absolute.offsetHeight - lo_AdjustHeight.m_Margin;
 if(ll_Height < 1)
 {
  ll_Height = 1;
 }
 lo_AdjustHeight.m_Height = ll_Height;
 lo_Element_Relative.style.height = lo_AdjustHeight.m_Height + 'px';
}

function f_AdjustHeight_OnInterval()
{
 var i;
 var lo_AdjustHeight;
 var lo_Element_Relative;
 var lo_Element_Absolute;
 var ll_Height;

 for(i=0 ; i<go_AdjustHeight_List.length ; i++)
 {
  lo_AdjustHeight = go_AdjustHeight_List[i];
  lo_Element_Relative = document.getElementById(lo_AdjustHeight.m_ID_Relative);
  lo_Element_Absolute = document.getElementById(lo_AdjustHeight.m_ID_Absolute);
  ll_Height = lo_Element_Absolute.offsetHeight - lo_AdjustHeight.m_Margin;
  if(ll_Height < 1)
  {
   ll_Height = 1;
  }
  if(lo_AdjustHeight.m_Height != ll_Height)
  {
   lo_AdjustHeight.m_Height = ll_Height;
   lo_Element_Relative.style.height = lo_AdjustHeight.m_Height + 'px';
  }
 }
}

var go_BlinkText_List = new Array();

var o_BlinkText = function(as_ID)
{
 this.m_ID = as_ID;
 this.m_AnimationCounter = 0;
 this.m_ForeColor_On = '';
 this.m_ForeColor_Off = '';
}

function f_BlinkText_Create(as_ID , as_ForeColor_On , as_ForeColor_Off)
{
 var lo_BlinkText;

 lo_BlinkText = new o_BlinkText(as_ID);
 lo_BlinkText.m_ForeColor_On = as_ForeColor_On;
 lo_BlinkText.m_ForeColor_Off = as_ForeColor_Off;

 go_BlinkText_List[go_BlinkText_List.length] = lo_BlinkText;
}

function f_BlinkText_Animation()
{
 var i;
 var lo_BlinkText;
 var lo_Element;

 for(i=0 ; i<go_BlinkText_List.length ; i++)
 {
  lo_BlinkText = go_BlinkText_List[i];
  lo_Element = document.getElementById(lo_BlinkText.m_ID);

  lo_BlinkText.m_AnimationCounter++;
  if(lo_BlinkText.m_AnimationCounter <= 150)
  {
   if(lo_BlinkText.m_AnimationCounter % 30 == 0)
   {
    lo_Element.style.color = lo_BlinkText.m_ForeColor_On;
   }
   else if(lo_BlinkText.m_AnimationCounter % 30 == 15)
   {
    lo_Element.style.color = lo_BlinkText.m_ForeColor_Off;
   }
  }

  if(lo_BlinkText.m_AnimationCounter > 300)
  {
   lo_BlinkText.m_AnimationCounter = 0;
  }
 }
}

var go_BlinkLinkText_List = new Array();

var o_BlinkLinkText = function(as_ID)
{
 this.m_ID = as_ID;
 this.m_AnimationCounter = 0;
 this.m_AnchorClass_On = '';
 this.m_AnchorClass_Off = '';
}

function f_BlinkLinkText_Create(as_ID , as_AnchorClass_On , as_AnchorClass_Off)
{
 var lo_BlinkLinkText;

 lo_BlinkLinkText = new o_BlinkLinkText(as_ID);
 lo_BlinkLinkText.m_AnchorClass_On = as_AnchorClass_On;
 lo_BlinkLinkText.m_AnchorClass_Off = as_AnchorClass_Off;
 go_BlinkLinkText_List[go_BlinkLinkText_List.length] = lo_BlinkLinkText;
}

function f_BlinkLinkText_Animation()
{
 var i;
 var lo_BlinkLinkText;
 var lo_Element;

 for(i=0 ; i<go_BlinkLinkText_List.length ; i++)
 {
  lo_BlinkLinkText = go_BlinkLinkText_List[i];
  lo_Element = document.getElementById(lo_BlinkLinkText.m_ID);

  lo_BlinkLinkText.m_AnimationCounter++;
  if(lo_BlinkLinkText.m_AnimationCounter <= 150)
  {
   if(lo_BlinkLinkText.m_AnimationCounter % 30 == 0)
   {
    lo_Element.className = lo_BlinkLinkText.m_AnchorClass_On;
   }
   else if(lo_BlinkLinkText.m_AnimationCounter % 30 == 15)
   {
    lo_Element.className = lo_BlinkLinkText.m_AnchorClass_Off;
   }
  }

  if(lo_BlinkLinkText.m_AnimationCounter > 300)
  {
   lo_BlinkLinkText.m_AnimationCounter = 0;
  }
 }
}

var gs_PopupImage_ID = 'Script_PopupImage';
var gs_PopupImage_ID_2 = gs_PopupImage_ID + '_2';
var gs_PopupImage_ID_3 = gs_PopupImage_ID + '_3';
var gl_PopupImage_Image_Width = 0;
var gl_PopupImage_Image_Height = 0;
var gl_PopupImage_Window_Width = 0;
var gl_PopupImage_Window_Height = 0;
var gl_PopupImage_ImageBox_X = 0;
var gl_PopupImage_ImageBox_Y = 0;
var gl_PopupImage_ImageBox_Width = 0;
var gl_PopupImage_ImageBox_Height = 0;
var go_PopupImage_Div = null;
var gb_PopupImage_Showing = false;

function f_PopupImage_Create(as_Image_URL , as_Background_Color , al_Image_Width , al_Image_Height)
{
 var lo_ParentElement;
 var lo_Element;
 var ls_HTML;
 var ls_HTML_Position;

 if(go_PopupImage_Div == null)
 {
  lo_ParentElement = f_GetBodyElement();

  lo_Element = document.createElement('div');
  lo_Element.id = gs_PopupImage_ID;
  lo_Element.style.left = '0px';
  lo_Element.style.top = '0px';
  lo_Element.style.width = '1px';
  lo_Element.style.height = '1px';
  lo_Element.style.position = 'absolute';
  lo_Element.style.overflow = 'visible';
  lo_Element.style.zIndex = 100;

  lo_ParentElement.appendChild(lo_Element);

  go_PopupImage_Div = lo_Element;
 }

 gl_PopupImage_Image_Width = al_Image_Width;
 gl_PopupImage_Image_Height = al_Image_Height;
 gl_PopupImage_Window_Width = 0;
 gl_PopupImage_Window_Height = 0;
 gl_PopupImage_ImageBox_X = 0;
 gl_PopupImage_ImageBox_Y = 0;
 gl_PopupImage_ImageBox_Width = 0;
 gl_PopupImage_ImageBox_Height = 0;
 gb_PopupImage_Showing = true;

 if(f_Navigator_IsInternetExplorer6())
 {
  ls_HTML_Position = 'position:absolute;';
 }
 else
 {
  ls_HTML_Position = 'position:fixed;';
 }

 ls_HTML = '';
 ls_HTML += '<div id="' + gs_PopupImage_ID_2 + '" style="left:0px;top:0px;width:1px;height:1px;' + ls_HTML_Position + 'cursor:pointer;background-color:#' + as_Background_Color + ';" onmousedown="f_PopupImage_Close();return false;"></div>';
 ls_HTML += '<img id="' + gs_PopupImage_ID_3 + '" style="left:0px;top:0px;width:1px;height:1px;' + ls_HTML_Position + 'cursor:pointer;" src="' + as_Image_URL + '" onmousedown="f_PopupImage_Close();return false;" />';

 go_PopupImage_Div.innerHTML = ls_HTML;

 lo_Element = document.getElementById(gs_PopupImage_ID_2);
 f_SetOpacity(lo_Element , 70);

 f_PopupImage_Resize();
}

function f_PopupImage_Close()
{
 gb_PopupImage_Showing = false;
 go_PopupImage_Div.innerHTML = '';
}

function f_PopupImage_AspectRatio(al_OutputWidth , al_OutputHeight , al_InputWidth , al_InputHeight)
{
 var lo_Size;
 var ld_Rate_Width;
 var ld_Rate_Height;

 lo_Size = new o_Size();
 ld_Rate_Width = al_OutputWidth / al_InputWidth;
 ld_Rate_Height = al_OutputHeight / al_InputHeight;

 if(ld_Rate_Width >= 1 && ld_Rate_Height >= 1)
 {
  lo_Size.m_Width = al_InputWidth;
  lo_Size.m_Height = al_InputHeight;

  return lo_Size;
 }

 if (ld_Rate_Width < ld_Rate_Height)
 {
  lo_Size.m_Width = al_OutputWidth;
  lo_Size.m_Height = al_InputHeight * al_OutputWidth / al_InputWidth;
 }
 else
 {
  lo_Size.m_Width = al_InputWidth * al_OutputHeight / al_InputHeight;
  lo_Size.m_Height = al_OutputHeight;
 }

 lo_Size.m_Width = Math.ceil(lo_Size.m_Width);
 lo_Size.m_Height = Math.ceil(lo_Size.m_Height);

 lo_Size.m_Width = Math.max(1 , lo_Size.m_Width);
 lo_Size.m_Height = Math.max(1 , lo_Size.m_Height);

 return lo_Size;
}

function f_PopupImage_Resize()
{
 var lo_Element;
 var lo_ClientSize;
 var lo_ScrollPos;
 var ll_Window_Width;
 var ll_Window_Height;
 var ll_ImageBox_X;
 var ll_ImageBox_Y;
 var ll_ImageBox_Width;
 var ll_ImageBox_Height;
 var lo_Size;

 if(gb_PopupImage_Showing == false)
 {
  return;
 }

 lo_ClientSize = f_GetClientSize();
 lo_ScrollPos = f_GetScrollPos();

 ll_Window_Width = lo_ClientSize.m_Width;
 ll_Window_Height = lo_ClientSize.m_Height;

 if(f_Navigator_IsInternetExplorer6())
 {
  ll_Window_Width += lo_ScrollPos.m_X;
  ll_Window_Height += lo_ScrollPos.m_Y;
 }
 else
 {
  ll_Window_Width += 1;
  ll_Window_Height += 1;
 }
 if(gl_PopupImage_Window_Width != ll_Window_Width || gl_PopupImage_Window_Height != ll_Window_Height)
 {
  gl_PopupImage_Window_Width = ll_Window_Width;
  gl_PopupImage_Window_Height = ll_Window_Height;

  lo_Element = document.getElementById(gs_PopupImage_ID_2);

  lo_Element.style.width = gl_PopupImage_Window_Width + 'px';
  lo_Element.style.height = gl_PopupImage_Window_Height + 'px';
 }

 ll_ImageBox_Width = Math.max(1 , lo_ClientSize.m_Width - 20);
 ll_ImageBox_Height = Math.max(1 , lo_ClientSize.m_Height - 20);

 lo_Size = f_PopupImage_AspectRatio(ll_ImageBox_Width , ll_ImageBox_Height , gl_PopupImage_Image_Width , gl_PopupImage_Image_Height);
 ll_ImageBox_Width = lo_Size.m_Width;
 ll_ImageBox_Height = lo_Size.m_Height;

 ll_ImageBox_X = (lo_ClientSize.m_Width - ll_ImageBox_Width) / 2;
 ll_ImageBox_Y = (lo_ClientSize.m_Height - ll_ImageBox_Height) / 2;
 if(f_Navigator_IsInternetExplorer6())
 {
  ll_ImageBox_X += lo_ScrollPos.m_X;
  ll_ImageBox_Y += lo_ScrollPos.m_Y;
 }

 if(gl_PopupImage_ImageBox_X != ll_ImageBox_X || gl_PopupImage_ImageBox_Y != ll_ImageBox_Y || gl_PopupImage_ImageBox_Width != ll_ImageBox_Width || gl_PopupImage_ImageBox_Height != ll_ImageBox_Height)
 {
  gl_PopupImage_ImageBox_X = ll_ImageBox_X;
  gl_PopupImage_ImageBox_Y = ll_ImageBox_Y;
  gl_PopupImage_ImageBox_Width = ll_ImageBox_Width;
  gl_PopupImage_ImageBox_Height = ll_ImageBox_Height;

  lo_Element = document.getElementById(gs_PopupImage_ID_3);

  lo_Element.style.left = gl_PopupImage_ImageBox_X + 'px';
  lo_Element.style.top = gl_PopupImage_ImageBox_Y + 'px';
  lo_Element.style.width = gl_PopupImage_ImageBox_Width + 'px';
  lo_Element.style.height = gl_PopupImage_ImageBox_Height + 'px';
 }
}

var go_SlideShow_List = new Array();

var o_SlideShow_Image = function(as_ID , as_Image_Src , as_Image_Style , as_Image_Option , as_Link_URL , as_Link_Style , as_Link_Option)
{
 this.m_ID_1 = as_ID + '_1';
 this.m_ID_2 = as_ID + '_2';
 this.m_Image_Src = as_Image_Src;
 this.m_Image_Style = as_Image_Style;
 this.m_Image_Option = as_Image_Option;
 this.m_Link_URL = as_Link_URL;
 this.m_Link_Style = as_Link_Style;
 this.m_Link_Option = as_Link_Option;
}

var o_SlideShow = function(as_ID , al_Type , al_Width , al_Height , as_Style , al_AnimationCounter , al_MaxCounter)
{
 var ls_ID = 'Script_' + as_ID;

 this.m_ID = as_ID;
 this.m_FrameName = ls_ID + '_Frame';
 this.m_Type = al_Type;
 this.m_ContainerWidth = al_Width;
 this.m_ContainerHeight = al_Height;
 this.m_ContainerStyle = as_Style;
 this.m_SlideIndex = 0;
 this.m_SlideCounter = 0;
 this.m_AnimationCounter = al_AnimationCounter;
 this.m_MaxCounter = al_MaxCounter;

 this.m_ImageList = new Array();

 this.f_AddImage = function(as_Image_Src , as_Image_Style , as_Image_Option , as_Link_URL , as_Link_Style , as_Link_Option)
 {
  var ls_ImageID = this.m_ID + '_Script_Image_' + (this.m_ImageList.length + 1);
  var lo_Image = new o_SlideShow_Image(ls_ImageID , as_Image_Src , as_Image_Style , as_Image_Option , as_Link_URL , as_Link_Style , as_Link_Option);

  this.m_ImageList[this.m_ImageList.length] = lo_Image;
 }

 this.f_GetPreviousSlideIndex = function()
 {
  var ll_Index = this.m_SlideIndex - 1;

  if(ll_Index < 0)
  {
   ll_Index = this.m_ImageList.length - 1;
  }

  return ll_Index;
 }
}

function f_SlideShow_CreateHtml()
{
 var i;
 var j;
 var ls_HTML;
 var lo_SlideShow;
 var lo_SlideShow_Image;
 var ll_Image_Top;

 for(i=0 ; i<go_SlideShow_List.length ; i++)
 {
  lo_SlideShow = go_SlideShow_List[i];

  if(lo_SlideShow.m_ImageList.length <= 1)
  {
   ll_Image_Top = 0;
  }
  else
  {
   ll_Image_Top = lo_SlideShow.m_ContainerHeight;
  }

  ls_HTML = '';
  ls_HTML += '<div style="left:0px;top:0px;width:' + lo_SlideShow.m_ContainerWidth + 'px;height:' + lo_SlideShow.m_ContainerHeight + 'px;position:absolute;' + lo_SlideShow.m_ContainerStyle + '">';
  for(j=0 ; j<lo_SlideShow.m_ImageList.length ; j++)
  {
   lo_SlideShow_Image = lo_SlideShow.m_ImageList[j];
   ls_HTML += '<div id="' + lo_SlideShow_Image.m_ID_1 + '" style="left:0px;top:' + ll_Image_Top + 'px;width:' + lo_SlideShow.m_ContainerWidth + 'px;height:' + lo_SlideShow.m_ContainerHeight + 'px;position:absolute;">';
   ls_HTML += '<div id="' + lo_SlideShow_Image.m_ID_2 + '" style="left:0px;top:0px;width:' + lo_SlideShow.m_ContainerWidth + 'px;height:' + lo_SlideShow.m_ContainerHeight + 'px;position:absolute;">';
   if(lo_SlideShow_Image.m_Link_URL != '')
   {
    ls_HTML += '<a href="' + lo_SlideShow_Image.m_Link_URL + '" style="' + lo_SlideShow_Image.m_Link_Style + '"' + lo_SlideShow_Image.m_Link_Option + '>';
    ls_HTML += '<img src="' + lo_SlideShow_Image.m_Image_Src + '" style="' + lo_SlideShow_Image.m_Image_Style + '"' + lo_SlideShow_Image.m_Image_Option + ' />';
    ls_HTML += '</a>';
   }
   else
   {
    ls_HTML += '<img src="' + lo_SlideShow_Image.m_Image_Src + '" style="' + lo_SlideShow_Image.m_Image_Style + '"' + lo_SlideShow_Image.m_Image_Option + ' />';
   }
   ls_HTML += '</div>';
   ls_HTML += '</div>';
  }
  ls_HTML += '</div>';

  f_InlineFrame_Create(lo_SlideShow.m_ID , lo_SlideShow.m_FrameName , lo_SlideShow.m_ContainerWidth , lo_SlideShow.m_ContainerHeight , ls_HTML);
 }
}

function f_SlideShow_Animation_1()
{
 var i;
 var j;
 var lo_SlideShow;
 var lo_SlideShow_Image;
 var lo_SlideShow_PreviousImage;
 var lo_Element;
 var lo_PreviousElement;
 var ll_Opacity;

 for(i=0 ; i<go_SlideShow_List.length ; i++)
 {
  lo_SlideShow = go_SlideShow_List[i];

  if(lo_SlideShow.m_Type != 1)
  {
   continue;
  }
  if(lo_SlideShow.m_ImageList.length <= 1)
  {
   continue;
  }

  if(lo_SlideShow.m_SlideCounter >= lo_SlideShow.m_AnimationCounter + lo_SlideShow.m_MaxCounter)
  {
   for(j=0 ; j<lo_SlideShow.m_ImageList.length ; j++)
   {
    if(j != lo_SlideShow.m_SlideIndex)
    {
     lo_SlideShow_Image = lo_SlideShow.m_ImageList[j];
     lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
     lo_Element.style.zIndex = 1;
    }
   }

   lo_SlideShow_Image = lo_SlideShow.m_ImageList[lo_SlideShow.m_SlideIndex];
   lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
   lo_Element.style.zIndex = 2;

   lo_SlideShow.m_SlideCounter = 0;
   lo_SlideShow.m_SlideIndex++;
   if(lo_SlideShow.m_SlideIndex >= lo_SlideShow.m_ImageList.length)
   {
    lo_SlideShow.m_SlideIndex = 0;
   }
  }

  lo_SlideShow_Image = lo_SlideShow.m_ImageList[lo_SlideShow.m_SlideIndex];
  lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
  lo_SlideShow_PreviousImage = lo_SlideShow.m_ImageList[lo_SlideShow.f_GetPreviousSlideIndex()];
  lo_PreviousElement = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_PreviousImage.m_ID_1);

  if(lo_SlideShow.m_SlideCounter == 0)
  {
   lo_Element.style.top = '0px';
   lo_Element.style.zIndex = 3;

   lo_PreviousElement.style.top = lo_SlideShow.m_ContainerHeight + 'px';
  }

  lo_SlideShow.m_SlideCounter++;
 }
}

function f_SlideShow_Animation_2()
{
 var i;
 var j;
 var lo_SlideShow;
 var lo_SlideShow_Image;
 var lo_SlideShow_PreviousImage;
 var lo_Element;
 var lo_PreviousElement;
 var ll_Opacity;

 for(i=0 ; i<go_SlideShow_List.length ; i++)
 {
  lo_SlideShow = go_SlideShow_List[i];

  if(lo_SlideShow.m_Type != 2)
  {
   continue;
  }
  if(lo_SlideShow.m_ImageList.length <= 1)
  {
   continue;
  }

  if(lo_SlideShow.m_SlideCounter >= lo_SlideShow.m_AnimationCounter * 2 + lo_SlideShow.m_MaxCounter)
  {
   for(j=0 ; j<lo_SlideShow.m_ImageList.length ; j++)
   {
    if(j != lo_SlideShow.m_SlideIndex)
    {
     lo_SlideShow_Image = lo_SlideShow.m_ImageList[j];
     lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
     lo_Element.style.zIndex = 1;
    }
   }

   lo_SlideShow_Image = lo_SlideShow.m_ImageList[lo_SlideShow.m_SlideIndex];
   lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
   lo_Element.style.zIndex = 2;

   lo_SlideShow.m_SlideCounter = 0;
   lo_SlideShow.m_SlideIndex++;
   if(lo_SlideShow.m_SlideIndex >= lo_SlideShow.m_ImageList.length)
   {
    lo_SlideShow.m_SlideIndex = 0;
   }
  }

  lo_SlideShow_Image = lo_SlideShow.m_ImageList[lo_SlideShow.m_SlideIndex];
  lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
  lo_SlideShow_PreviousImage = lo_SlideShow.m_ImageList[lo_SlideShow.f_GetPreviousSlideIndex()];
  lo_PreviousElement = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_PreviousImage.m_ID_1);

  if(lo_SlideShow.m_SlideCounter <= lo_SlideShow.m_AnimationCounter)
  {
   ll_Opacity = 100 * (lo_SlideShow.m_AnimationCounter - lo_SlideShow.m_SlideCounter) / lo_SlideShow.m_AnimationCounter;
   f_SetOpacity(lo_PreviousElement , ll_Opacity);
  }
  else if(lo_SlideShow.m_SlideCounter <= lo_SlideShow.m_AnimationCounter * 2)
  {
   ll_Opacity = 100 * (lo_SlideShow.m_SlideCounter - lo_SlideShow.m_AnimationCounter) / lo_SlideShow.m_AnimationCounter;
   f_SetOpacity(lo_Element , ll_Opacity);
  }

  if(lo_SlideShow.m_SlideCounter == lo_SlideShow.m_AnimationCounter + 1)
  {
   lo_Element.style.top = '0px';
   lo_Element.style.zIndex = 3;
  }

  lo_SlideShow.m_SlideCounter++;
 }
}

function f_SlideShow_Animation_3()
{
 var i;
 var j;
 var lo_SlideShow;
 var lo_SlideShow_Image;
 var lo_SlideShow_PreviousImage;
 var lo_Element;
 var lo_PreviousElement;
 var ll_Width;
 var ll_Previous;

 for(i=0 ; i<go_SlideShow_List.length ; i++)
 {
  lo_SlideShow = go_SlideShow_List[i];

  if(lo_SlideShow.m_Type != 3)
  {
   continue;
  }
  if(lo_SlideShow.m_ImageList.length <= 1)
  {
   continue;
  }

  if(lo_SlideShow.m_SlideCounter >= lo_SlideShow.m_AnimationCounter + lo_SlideShow.m_MaxCounter)
  {
   for(j=0 ; j<lo_SlideShow.m_ImageList.length ; j++)
   {
    if(j != lo_SlideShow.m_SlideIndex)
    {
     lo_SlideShow_Image = lo_SlideShow.m_ImageList[j];
     lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
     lo_Element.style.zIndex = 1;
    }
   }

   lo_SlideShow_Image = lo_SlideShow.m_ImageList[lo_SlideShow.m_SlideIndex];
   lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
   lo_Element.style.zIndex = 2;

   lo_SlideShow.m_SlideCounter = 0;
   lo_SlideShow.m_SlideIndex++;
   if(lo_SlideShow.m_SlideIndex >= lo_SlideShow.m_ImageList.length)
   {
    lo_SlideShow.m_SlideIndex = 0;
   }
  }

  lo_SlideShow_Image = lo_SlideShow.m_ImageList[lo_SlideShow.m_SlideIndex];
  lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
  lo_SlideShow_PreviousImage = lo_SlideShow.m_ImageList[lo_SlideShow.f_GetPreviousSlideIndex()];
  lo_PreviousElement = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_PreviousImage.m_ID_1);

  if(lo_SlideShow.m_SlideCounter <= lo_SlideShow.m_AnimationCounter)
  {
   ll_Width = lo_SlideShow.m_ContainerWidth * lo_SlideShow.m_SlideCounter / lo_SlideShow.m_AnimationCounter;
   ll_Width = Math.ceil(ll_Width);
   lo_Element.style.width = ll_Width + 'px';

   lo_PreviousElement.style.left = ll_Width + 'px';
  }

  if(lo_SlideShow.m_SlideCounter == 0)
  {
   lo_Element.style.top = '0px';
   lo_Element.style.left = '0px';
   lo_Element.style.zIndex = 3;
  }

  lo_SlideShow.m_SlideCounter++;
 }
}

function f_SlideShow_Animation_4()
{
 var i;
 var j;
 var lo_SlideShow;
 var lo_SlideShow_Image;
 var lo_SlideShow_PreviousImage;
 var lo_Element;
 var lo_InnerElement;
 var lo_PreviousElement;
 var lo_PreviousInnerElement;
 var ll_Width;

 for(i=0 ; i<go_SlideShow_List.length ; i++)
 {
  lo_SlideShow = go_SlideShow_List[i];

  if(lo_SlideShow.m_Type != 4)
  {
   continue;
  }
  if(lo_SlideShow.m_ImageList.length <= 1)
  {
   continue;
  }

  if(lo_SlideShow.m_SlideCounter >= lo_SlideShow.m_AnimationCounter + lo_SlideShow.m_MaxCounter)
  {
   for(j=0 ; j<lo_SlideShow.m_ImageList.length ; j++)
   {
    if(j != lo_SlideShow.m_SlideIndex)
    {
     lo_SlideShow_Image = lo_SlideShow.m_ImageList[j];
     lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
     lo_Element.style.zIndex = 1;
    }
   }

   lo_SlideShow_Image = lo_SlideShow.m_ImageList[lo_SlideShow.m_SlideIndex];
   lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
   lo_Element.style.zIndex = 2;

   lo_SlideShow.m_SlideCounter = 0;
   lo_SlideShow.m_SlideIndex++;
   if(lo_SlideShow.m_SlideIndex >= lo_SlideShow.m_ImageList.length)
   {
    lo_SlideShow.m_SlideIndex = 0;
   }
  }

  lo_SlideShow_Image = lo_SlideShow.m_ImageList[lo_SlideShow.m_SlideIndex];
  lo_Element = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_1);
  lo_InnerElement = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_Image.m_ID_2);

  lo_SlideShow_PreviousImage = lo_SlideShow.m_ImageList[lo_SlideShow.f_GetPreviousSlideIndex()];
  lo_PreviousElement = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_PreviousImage.m_ID_1);
  lo_PreviousInnerElement = f_InlineFrame_GetElementById(lo_SlideShow.m_FrameName , lo_SlideShow_PreviousImage.m_ID_2);

  if(lo_SlideShow.m_SlideCounter <= lo_SlideShow.m_AnimationCounter)
  {
   ll_Width = lo_SlideShow.m_ContainerWidth * lo_SlideShow.m_SlideCounter / lo_SlideShow.m_AnimationCounter;
   ll_Width = Math.ceil(ll_Width);
   lo_Element.style.width = ll_Width + 'px';

   lo_PreviousElement.style.left = ll_Width + 'px';
   lo_PreviousInnerElement.style.left = '-' + ll_Width + 'px';
  }

  if(lo_SlideShow.m_SlideCounter == 0)
  {
   lo_Element.style.top = '0px';
   lo_Element.style.left = '0px';
   lo_Element.style.zIndex = 3;

   lo_InnerElement.style.left = '0px';
  }

  lo_SlideShow.m_SlideCounter++;
 }
}
